package com.jsowell.pile.service;

import com.jsowell.pile.domain.AdapayMemberAccount;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author jsowell
 * @date 2023-06-15
 */
public interface IAdapayMemberAccountService {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AdapayMemberAccount selectAdapayMemberAccountById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param adapayMemberAccount 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AdapayMemberAccount> selectAdapayMemberAccountList(AdapayMemberAccount adapayMemberAccount);

    public List<AdapayMemberAccount> selectAdapayMemberAccountList(String merchantId);

    /**
     * 新增【请填写功能名称】
     *
     * @param adapayMemberAccount 【请填写功能名称】
     * @return 结果
     */
    public int insertAdapayMemberAccount(AdapayMemberAccount adapayMemberAccount);

    /**
     * 修改【请填写功能名称】
     *
     * @param adapayMemberAccount 【请填写功能名称】
     * @return 结果
     */
    public int updateAdapayMemberAccount(AdapayMemberAccount adapayMemberAccount);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteAdapayMemberAccountByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAdapayMemberAccountById(Long id);

    AdapayMemberAccount selectByMerchantId(String merchantId);

    AdapayMemberAccount selectByMemberId(String memberId);

    String selectAdapayMemberIdByStationId(String stationId);

    void deleteByMemberId(String memberId);

    void updateAdapayMemberAccountByMemberId(AdapayMemberAccount adapayMemberAccount);
}
